Package org.apache.lucene.facet

# Class TopOrdAndNumberQueue.OrdAndValue

java.lang.Object
org.apache.lucene.facet.TopOrdAndNumberQueue.OrdAndValue

Direct Known Subclasses:
  `TopOrdAndFloatQueue.OrdAndFloat`, `TopOrdAndIntQueue.OrdAndInt`

Enclosing class:
  `TopOrdAndNumberQueue`

public abstract static class TopOrdAndNumberQueue.OrdAndValue extends Object
Holds a single entry.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `int`
  `ord`
  Ordinal of the entry.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OrdAndValue()`
  Default constructor.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `abstract Number`
  `getValue()`
  Get the value stored in this `TopOrdAndNumberQueue.OrdAndValue`.
  `abstract boolean`
  `lessThan(TopOrdAndNumberQueue.OrdAndValue other)`
  Compare with another `TopOrdAndNumberQueue.OrdAndValue`.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### ord

    public int ord
    Ordinal of the entry.

- ## Constructor Details

  - ### OrdAndValue

    public OrdAndValue()
    Default constructor.

- ## Method Details

  - ### lessThan

    public abstract boolean lessThan(TopOrdAndNumberQueue.OrdAndValue other)
    Compare with another `TopOrdAndNumberQueue.OrdAndValue`.

  - ### getValue

    public abstract Number getValue()
    Get the value stored in this `TopOrdAndNumberQueue.OrdAndValue`.